/**
 * ***********************************************************************
 * <br>description : 正则校验规则
 * @author      崔立娟
 * @date        2017-9-7
 * @version     1.0
 ************************************************************************
 */
regexTypes = [
    {
        regexType: "service",
        regex: "^[a-zA-Z0-9_]{1,32}$",
        message: "service字段校验未通过",
    },
    {
        regexType: "charset",
        regex: "UTF-8|GBK|GB2312|GB18030",
        message: "charset字段校验未通过",
    },
    {
        regexType: "mer_id",
        regex: "^[0-9]{1,8}$",
        message: "mer_id字段校验未通过",
    },
    {
        regexType: "version",
        regex: "4.0|1.0",
        message: "version字段校验未通过",
    },
    {
        regexType: "media_type",
        regex: "MOBILE|EMAIL|MERUSERID",
        message: "media_type字段校验未通过",
    },
    {
        regexType: "mer_date",
        regex: "^[12][0-9]{7}$",
        message: "mer_date字段校验未通过",
    },
    {
        regexType: "amount",
        regex: "^[1-9][0-9]*$",
        message: "amount字段校验未通过",
    },
    {
        regexType: "amt_type",
        regex: "RMB",
        message: "amt_type字段校验未通过",
    },
    {
        regexType: "expire_time",
        regex: "^[0-9]{1,32}$",
        message: "expire_time字段校验未通过",
    },
    {
        regexType: "ret_code",
        regex: "^[0-9]{1,}$",
        message: "ret_code字段校验未通过",
    },

    {
        regexType: "pay_date",
        regex: "^[12][0-9]{7}$",
        message: "pay_date字段校验未通过",
    },
    {
        regexType: "settle_date",
        regex: "^[12][0-9]{7}$",
        message: "settle_date字段校验未通过",
    },
    {
        regexType: "error_code",
        regex: "^[0-9]*$",
        message: "error_code字段校验未通过",
    },
    {
        regexType: "mer_check_date",
        regex: "^[12][0-9]{7}$",
        message: "mer_check_date字段校验未通过",
    },
    {
        regexType: "refund_amt",
        regex: "^[1-9][0-9]*$",
        message: "refund_amt字段校验未通过",
    },
    {
        regexType: "refund_amount",
        regex: "^[1-9][0-9]*$",
        message: "refund_amount字段校验未通过",
    },
    {
        regexType: "org_amount",
        regex: "^[1-9][0-9]*$",
        message: "org_amount字段校验未通过",
    },
    {
        regexType: "split_type",
        regex: "^11|21|[1-2]{0,2}$",
        message: "split_type字段校验未通过",
    },
    {
        regexType: "is_success",
        regex: "Y|N",
        message: "is_success字段校验未通过",
    },

    {
        regexType: "sub_mer_id",
        regex: "^[0-9]*$",
        message: "sub_mer_id字段校验未通过",
    },{
        regexType: "req_date",
        regex: "^[12][0-9]{7}$",
        message: "req_date字段校验未通过",
    },{
        regexType: "req_time",
        regex: "^[0-9]{6}$",
        message: "req_time字段校验未通过",
    },
    {
        regexType: "birthday",
        regex: "^[12][0-9]{7}$",
        message: "birthday字段校验未通过",
    },{
        regexType: "sex",
        regex: "M|F",
        message: "sex字段校验未通过",
    },{
        regexType: "contact_mobile",
        regex: "^[0-9]{11}$",
        message: "contact_mobile字段校验未通过",
    },{
        regexType: "fee_amount",
        regex: "^0$|^([1-9][0-9]*)$",
        message: "fee_amount字段校验未通过",
    },
    {
        regexType: "recv_account_type",
        regex: "^[0-1]{2}$",
        message: "recv_account_type字段校验未通过",
    },{
        regexType: "recv_bank_acc_pro",
        regex: "^[0-1]{1}$",
        message: "recv_bank_acc_pro字段校验未通过",
    },{
        regexType: "recv_type",
        regex: "^[0-1]$",
        message: "recv_type字段校验未通过",
    },
    {
        regexType: "debit_pay_type",
        regex: "1|2",
        message: "debit_pay_type字段校验未通过",
    },{
        regexType: "pay_category",
        regex: "01",
        message: "pay_category字段校验未通过",
    },{
        regexType: "split_category",
        regex: "1|2|3",
        message: "split_category字段校验未通过",
    },
    {
        regexType: "push_type",
        regex: "0|1|2|3",
        message: "push_type字段校验未通过",
    },{
        regexType: "order_type",
        regex: "1|2",
        message: "order_type字段校验未通过",
    },{
        regexType: "scancode_type",
        regex: "WECHAT|ALIPAY",
        message: "scancode_type字段校验未通过",
    },
    {
        regexType: "trade_state",
        regex: "^(.){1,32}$",
        message: "trade_state字段校验未通过",
    },{
        regexType: "order_type",
        regex: "1|2",
        message: "order_type字段校验未通过",
    },{
        regexType: "scancode_type",
        regex: "WECHAT|ALIPAY",
        message: "scancode_type字段校验未通过",
    },{
        regexType: "trade_state",
        regex: "^\\S{1,32}",
        message: "trade_state字段校验未通过",
    },{
        regexType: "refund_no",
        regex: "^\\S{1,16}",
        message: "refund_no字段校验未通过",
    },{
        regexType: "refund_state",
        regex: "^\\S{1,}",
        message: "refund_state字段校验未通过",
    },{
        regexType: "sub_order_id",
        regex: "^\\S{1,32}",
        message: "sub_order_id字段校验未通过",
    },{
        regexType: "refund_desc",
        regex: "^\\S{1,128}",
        message: "refund_desc字段校验未通过",
    },{
        regexType: "valid_date",
        regex: "^\\S{1,256}",
        message: "valid_date字段校验未通过",
    },{
        regexType: "cvv2",
        regex: "^\\S{1,256}",
        message: "cvv2字段校验未通过",
    },{
        regexType: "mail_addr",
        regex: "^\\S{1,64}",
        message: "mail_addr字段校验未通过",
    },{
        regexType: "contact_phone",
        regex: "^\\S{1,}",
        message: "contact_phone字段校验未通过",
    },
    {
        regexType: "finance_vou_no",
        regex: "^\\S{1,32}",
        message: "finance_vou_no字段校验未通过",
    },{
        regexType: "purpose",
        regex: "^\\S{1,}",
        message: "purpose字段不得为空",
    },{
        regexType: "prov_name",
        regex: "^\\S{1,}",
        message: "prov_name字段不得为空",
    },
    {
        regexType: "city_name",
        regex: "^\\S{1,}",
        message: "city_name字段不得为空",
    },{
        regexType: "bank_brhname",
        regex: "^\\S{1,}",
        message: "bank_brhname字段不得为空",
    },{
        regexType: "token",
        regex: "^\\S{1,}",
        message: "token字段不得为空",
    },
    {
        regexType: "trade_no",
        regex: "^\\S{1,16}",
        message: "trade_no字段校验未通过",
    },
    {
        regexType: "order_id",
        regex: "^\\S{1,32}",
        message: "order_id字段校验未通过",
    },{
        regexType: "auth_code",
        regex: "^\\S{1,32}",
        message: "auth_code字段校验未通过",
    },
    {
        regexType: "use_desc",
        regex: "^\\S{1,32}",
        message: "use_desc字段校验未通过",
    },{
        regexType: "bank_account",
        regex: "^\\S{1,}",
        message: "bank_account字段不得为空",
    },{
        regexType: "account_name",
        regex: "^\\S{1,}",
        message: "account_name字段不得为空",
    },
];



exports.regexTypes = regexTypes