/**
 * ***********************************************************************
 * <br>description : 缓存请求的servic接口、正则、加解密字段等
 * @author      崔立娟
 * @date        2017-9-7
 * @version     1.0
 ************************************************************************
 */
var Constants = require('../common/Constants')

exports.serviceRule = {
    "pay_req": Constants.PAY_REQ_RULE,
    "pay_req_ivr_call": Constants.PAY_REQ_IVR_CALL_RULE,
    "pay_req_ivr_tcall": Constants.PAY_REQ_IVR_TCALL_RULE,
    "query_order": Constants.QUERY_ORDER_RULE,
    "mer_cancel": Constants.MER_CANCEL_RULE,
    "mer_refund": Constants.MER_REFUND_RULE,
    "download_settle_file": Constants.DOWNLOAD_SETTLE_FILE_RULE,
    "pay_req_split_front": Constants.PAY_REQ_SPLIT_FRONT_RULE,
    "pay_req_split_back": Constants.PAY_REQ_SPLIT_BACK_RULE,
    "pay_req_split_direct": Constants.PAY_REQ_SPLIT_DIRECT_RULE,
    "split_refund_req": Constants.SPLIT_REFUND_REQ_RULE,
    "pay_result_notify": Constants.PAY_RESULT_NOTIFY_RULE,
    "split_req_result": Constants.SPLIT_REFUND_REQ_RULE,
    "split_refund_result": Constants.SPLIT_REFUND_RESULT_RULE,
    "credit_direct_pay": Constants.CREDIT_DIRECT_PAY_RULE,
    "debit_direct_pay": Constants.DEBIT_DIRECT_PAY_RULE,
    "pre_auth_direct_req": Constants.PRE_AUTH_DIRECT_REQ,
    "pre_auth_direct_pay": Constants.PRE_AUTH_DIRECT_PAY,
    "pre_auth_direct_cancel": Constants.PRE_AUTH_DIRECT_CANCEL,
    "pre_auth_direct_query": Constants.PRE_AUTH_DIRECT_QUERY,
    "pre_auth_direct_refund": Constants.PRE_AUTH_DIRECT_REFUND,
    "pre_auth_direct_settle": Constants.PRE_AUTH_DIRECT_SETTLE,
    "pay_transfer_register": Constants.PAY_TRANSFER_REGISTER,
    "pay_transfer_req": Constants.PAY_TRANSFER_REQ,
    "pay_transfer_order_query": Constants.PAY_TRANSFER_ORDER_QUERY,
    "pay_transfer_mer_refund": Constants.PAY_TRANSFER_MER_REFUND,
    "card_auth": Constants.CARD_AUTH,
    "req_sms_verifycode": Constants.REQ_SMS_VERIFYCODE,
    "pay_confirm": Constants.PAY_CONFIRM,
    "pay_req_shortcut_front": Constants.PAY_REQ_SHORTCUT_FRONT,
    "pay_req_shortcut": Constants.PAY_REQ_SHORTCUT,
    "first_pay_confirm_shortcut": Constants.FIRST_PAY_CONFIRM_SHORTCUT,
    "agreement_pay_confirm_shortcut": Constants.AGREEMENT_PAY_CONFIRM_SHORTCUT,
    "req_smsverify_shortcut": Constants.REQ_SMSVERIFY_SHORTCUT,
    "query_mer_bank_shortcut": Constants.QUERY_MER_BANK_SHORTCUT,
    "query_mercust_bank_shortcut": Constants.QUERY_MERCUST_BANK_SHORTCUT,
    "unbind_mercust_protocol_shortcut": Constants.UNBIND_MERCUST_PROTOCOL_SHORTCUT,
    "split_req": Constants.SPLIT_REQ_RULE,
    "query_split_order": Constants.QUERY_SPLIT_ORDER_RULE,
    "transfer_direct_req": Constants.TRANSFER_DIRECT_REQ_RULE,
    "transfer_query": Constants.TRANSFER_QUERY_RULE,
    "mer_order_info_query": Constants.MER_ORDER_INFO_QUERY,
    "mer_refund_query": Constants.MER_REFUND_QUERY,
    "active_scancode_order": Constants.ACTIVE_SCANCODE_ORDER,
    "passive_scancode_pay": Constants.ACTIVE_SCANCODE_ORDER,
    "query_account_balance": Constants.QUERY_ACCOUNT_BALANCE,
    "comm_auth": Constants.COMM_AUTH,
    "apply_pay_shortcut": Constants.QUICK_PAY,
    "sms_req_shortcut": Constants.GET_MESSAGE,
    "confirm_pay_shortcut": Constants.QUICK_PAY_FIRST,
    "get_mer_bank_shortcut": Constants.GET_BANK_MER,
    "unbind_mercust_protocol_shortcut": Constants.CANCEL_SURRENDER,

    "refund_info_replenish": Constants.REFUND_INFO_REPLENISH,
    "req_bind_verify_shortcut": Constants.REQ_BIND_VERIFY_SHORCUT,
    "req_bind_confirm_shortcut": Constants.REQ_BIND_CONFIRM_SHORCUT,
    "bind_agreement_notify_shortcut": Constants.BIND_AGREEMENT_NOTIFY_SHORCUT,
    "bind_req_shortcut_front": Constants.BIND_REQ_SHORTCUT_FRONT
}


exports.encrytId = [
    "card_id",
    "cvv2",
    "valid_date",
    "cardHolder",
    "card_holder",
    "identity_code",
    "pass_wd",
    "recv_account",
    "recv_user_name",
    "identity_holder",
    "cardId",
    "validDate",
    "cardHolder",
    "identityCode",
    "passWd",
    "mer_cust_name",
    "account_name",
    "bank_account",
    "endDate"
]

exports.regexId = [
    "service",
    "mer_id",
    "media_type",
    "mer_date",
    "amount",
    "amt_type",
    "expire_time",
    "ret_code",
    "pay_date",
    "settle_date",
    "error_code",
    "mer_check_date",
    "refund_amt",
    "refund_amount",
    "org_amount",
    "split_type",
    "is_success",
    "sub_mer_id",
    "req_date",
    "req_time",
    "birthday",
    "sex",
    "contact_mobile",
    "fee_amount",
    "recv_account_type",
    "recv_bank_acc_pro",
    "recv_type",
    "debit_pay_type",
    "pay_category",
    "split_category",
    "push_type",
    "order_type",
    "scancode_type",
    "trade_state",
    "refund_no",
    "refund_state",
    "sub_order_id",
    "refund_desc",
    "valid_date",
    "cvv2",
    "mail_addr",
    "contact_phone",
    "finance_vou_no",
    "purpose",
    "prov_name",
    "city_name",
    "bank_brhname",
    "token",
    "trade_no",
    "order_id",
    "auth_code",
    "use_desc",
    "bank_account",
    "account_name"
]

exports.childMerEncrytId = [
    "bankAccount",
    "cardNo",
    "contActsName",
    "merName",
    "lawyer",
    "bankName",
    "bankBrhName"
]
